curl --request GET \
--url https://api.spacebring.com/billing/credit_notes/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/billing/credit_notes/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/billing/credit_notes/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creditNotes": [
{
"baseAmounts": {
"currencyCode": "<string>",
"grossAmount": 123,
"postPaymentAmount": 123,
"prePaymentAmount": 123,
"subtotalAmount": 123,
"subtotalAmountExcludingTax": 123,
"taxes": [
{
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
],
"totalAmount": 123,
"totalExcludingTaxAmount": 123
},
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo": {
"key": "<string>",
"url": "<string>"
},
"title": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"grossAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lines": [
{
"baseAmounts": {
"currencyCode": "<string>",
"discountedAmount": 123,
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
},
"unitAmount": 123,
"unitExcludingTaxAmount": 123
},
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"discountedAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceItemRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"updateDate": "2023-11-07T05:31:56Z",
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"duration": "<string>",
"durationInMonths": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentOff": 123,
"type": "<string>"
},
"promocode": {
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiration": "2023-11-07T05:31:56Z",
"limitByFirstPurchase": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"quantity": 123,
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
},
"unitAmount": 123,
"unitExcludingTaxAmount": 123
}
],
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pdfUrl": "<string>",
"postPaymentAmount": 123,
"prePaymentAmount": 123,
"subtotalAmount": 123,
"subtotalAmountExcludingTax": 123,
"taxes": [
{
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
],
"title": "<string>",
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"updateDate": "2023-11-07T05:31:56Z",
"creditAmount": 123,
"effectiveDate": "<string>",
"internalNote": "<string>",
"number": 123,
"outOfBandAmount": 123,
"refunds": [
{
"amount": 123,
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": {
"label": "<string>"
}
}
],
"voidDate": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Retrieve credit notes
Retrieve all credit notes for a specific invoice or location. One of invoiceRef or locationRef is required.
OAuth
Required scopes:invoices.readonly or invoicesAuthorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
Filter credit notes created on or after this date (ISO 8601). Use with createDate[lte] for a range.
Filter credit notes created on or before this date (ISO 8601). Use with createDate[gte] for a range.
UUID of the invoice whose credit notes to list.
Maximum number of credit notes per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
1 <= x <= 100UUID of the location whose credit notes to list.
Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page.
Filter by credit note status. Comma-separated values, e.g. issued,voided.
Supported values:
- issued — active credit note
- voided — cancelled and no longer valid
Was this page helpful?